import * as _typescript_eslint_utils_ts_eslint from '@typescript-eslint/utils/ts-eslint';
import * as _eslint_react_shared from '@eslint-react/shared';

declare const meta: {
    readonly name: string;
    readonly version: string;
};
declare const rules: {
    readonly "class-component": _typescript_eslint_utils_ts_eslint.RuleModule<"CLASS_COMPONENT", [], _eslint_react_shared.ESLintPluginDocs, _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "function-component": _typescript_eslint_utils_ts_eslint.RuleModule<"FUNCTION_COMPONENT", [], _eslint_react_shared.ESLintPluginDocs, _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "react-hooks": _typescript_eslint_utils_ts_eslint.RuleModule<"REACT_HOOKS", [], _eslint_react_shared.ESLintPluginDocs, _typescript_eslint_utils_ts_eslint.RuleListener>;
};

export { meta, rules };
